Subject: Re: wpa_supplicant and linksys wrt54gl
To: Rui Paulo <>
From: Sam Leffler <>
List: tech-net
Date: 01/20/2007 11:26:14
Rui Paulo wrote:
> Hi,
> On 20 Jan 2007, at 12:55, haad wrote:
>> This week I bought new linksys wrt54Gl router.
>> My laptop has ipw card.
> Unfortunately, wpa_supplicant won't work with ipw because the ipw driver
> doesn't work correctly with the net80211 stack.

I circulated mods for the freebsd version that overhauled the driver to
more properly integrate w/ net80211 but got zero feedback so lost
interest.  wpa worked but because of firmware bugs it was very fragile.
 Given the cost of minipci cards that do b/g it's really hard to get
inspired about improving support for legacy cards like this.

Separately we should verify that wpa_supplicant dtrt when a driver isn't
marked as WPA-capable.  I suspect it does not which is the root cause of
user confusion.